Installing is pretty hard :p

To begin i'm gonna say I use OSX, maby you should know for the installation of JME…

I downloaded 'jME_2.0_Complete_(r4093)' and unzipped 'jME_2.0' now i have eclipse for the common programming in java,

I watched the tutorial on youtube how to install it in eclipse but when i paste this link: 'http://jmonkeyengine.googlecode.com/svn/trunk' it said it was unable to connect to …, so their i stuck on installing.



Please help me out :stuck_out_tongue: THANKS

That's not jME tools. They are owned by NCsoft.



jME is just an engine you can use to create 3D software in java.

ow ok so i was wrong anyway,

but there are some little games made with JME, how did they make their 3D environments then?

like this one maby: http://www.youtube.com/watch?v=VJUmrNT8SmE&NR=1

That looks like a modified version of the FlagRushTutorial, which can be found in the wiki under jME2 Tutorials

sbook said:

That looks like a modified version of the FlagRushTutorial, which can be found in the wiki under jME2 Tutorials

so there is nothing that you can 'design' in JME games, it's all programming?
I found the tutorial here: http://www.jmonkeyengine.com/wiki/doku.php?id=adding_random_flags#source

now let's say i paste the source in eclipse, but i don't think it's that simple is it? :p
and i need to install JME in eclipse first i guess but i got an error while installing... :(

Ok…yes you are right! First of all try to install jME properly. This tutorial will help you.



http://www.jmonkeyengine.com/wiki/doku.php?id=setting_up_eclipse_to_build_jme_2



I suggest after you got all the source have a look in the jmetest-package. There are lot's of

tests and all you can start as java apllication.



To your question if you can't design anything!? Well,…if you want to use models you have to

design them. Even whole scenes can for example be modelled in blender (or 3d studio max)

,exported by a exporter (jME-blender is in my oppinion the best one right now) and load it

to jME. But let's take one step after each other and try first the tests (after successfully installing).



Hope I could help you somehow.

thanks ttrocha, i try to install it with the page u gave me :wink:

with JME-blender you mean this one?: http://www.blender.org/

Well,…blender is a 3d-modeller (freeware)! Great piece of software (but don't expect that to be too easy to learn :smiley: )

And for that we got a special exporter (blaine is creating this at the moment) with that you can

export the models you created in blender in a way you are able to load it to jME with just a couple

of lines. Ok…time to go to bed!

ok now i'm at step 7 in installing subversive, i clicked on SVNKit 1.1.7 Implementation and then next.

then in step 8 it says that i should be able to use SVN, now i see

'SVNKit 1.1.7 Implementation(Optional) 2.0.4.I20081001-1900org.polarion.eclipse.team.svn.connector.svnkit.feature.group'

but i can't click next or finish so i'm stuck here… so i can't click on windws -> show view -> SVN -> SVN repositories (step 8)

hmm what now? :stuck_out_tongue:

What does it say? Ayn errors? You have to check the checkbox! And then install…

Otherwise I  don't have a clue!

i checked it but then the next window came and i could only press cancel so i did.

now when i go to windows -> show view -> other there i can click on SVN -> SVN repositories is it installed correctly then?

now doing 'Retrieving JME2' i enter the link but i don't see

Try watching coredumps video HERE or HERE that could help.



I think jME should have its own IDE to make things easier precompiled for the three supported OSs but i guess the actual code is more important at this time…

What are you talking about? The only thing you have to change from one OS to the others

are the native-libraries. Or am I wrong? Or do you mean with IDE a fully integrated editor

ala unity3d?

ttrocha said:

The only thing you have to change from one OS to the others are the native-libraries.


you are correct.

i meant the IDE something jME specific

Bonechilla said:

Try watching coredumps video HERE or HERE that could help.

I think jME should have its own IDE to make things easier precompiled for the three supported OSs but i guess the actual code is more important at this time...

I've done that before, and i tried again but when i enter this url: http://subclipse.tigris.org/update_1.6.x, he says no repositories found

ohh its an SVN issue, hmm thats odd i just checked and i'm getting a similar error now i think its something with the repo I have http://eclipse.svnkit.com/1.2.x/ in my menu try that though i'm not sure if its right the name sounds positive ^^

from: http://subclipse.tigris.org/

tigris.org is currently down for a scheduled upgrade.
We are currently upgrading the software used to run tigris.org. Please check back later.

Ok…if you cann't SVN work for eclipse use TortoiseSVN:



http://www.jmonkeyengine.com/wiki/doku.php?id=downloading_and_installing_jme_2.x

i installed eclipse again and tried everything again.

in the install vid (http://www.youtube.com/watch?v=hzk91kfNbjQ) at 1:08 he says 'operation in progress'

but when i enter the link he says 'unable to load default SVN client', isn't there any other link i can paste there to download it?